Subject: bug#13848: Statically linking guile-2.0.

From: Jan Schukat <[email-masked]>
Date: Sat, 16 Mar 2013 02:36:29 +0100

Ok finally got to it. Made 3 builds from the 194-dfd1d tarball: mingw 
with posix and threads, without posix and threads and linux with posix 
and threads.

All three still have problems compiling the scheme code. All three have 
problems with scan-api and two of them with popen.

All 3 build logs attached.

Regards

Jan Schukat

On 03/13/2013 10:30 AM, Andy Wingo wrote:
> Hi,
>
> On Mon 11 Mar 2013 10:30, [email-masked] writes:
>
>>    GUILEC scripts/autofrisk.go
>> Backtrace:
>> In ice-9/psyntax.scm:
>> 1101: 19 [expand-top-sequence ((define (unglob pattern) (let # #))) () ...]
>> 1259: 18 [#<procedure 21d8540 at ice-9/psyntax.scm:1067:36 ()>]
>> 1605: 17 [expand-simple-lambda (# . #) () (()) ...]
>> 1509: 16 [parse (((# #) . #(syntax-object # # #))) () () () () () ()]
>> In ice-9/boot-9.scm:
>>   627: 15 [map #<procedure 2205e10 at ice-9/psyntax.scm:1510:50 (x)> ((# . #))]
>> In ice-9/psyntax.scm:
>> 2114: 14 [expand-let (let # #) (# #) (# # #) ...]
>> In ice-9/boot-9.scm:
>>   627: 13 [map #<procedure 2204ec0 at ice-9/psyntax.scm:2114:49 (x)> (#)]
>> In ice-9/psyntax.scm:
>> 1257: 12 [#<procedure 2204ec0 at ice-9/psyntax.scm:2114:49 (x)> (open-input-pipe #)]
>> 1186: 11 [syntax-type (open-input-pipe #) (# #) (# # #) ...]
>>   579: 10 [syntax-type open-input-pipe (# #) (# # #) ...]
>>   292: 9 [get-global-definition-hook open-input-pipe (hygiene scripts autofrisk)]
>> In unknown file:
>>     ?: 8 [module-variable #<directory (scripts autofrisk) 21a8dc8> open-input-pipe]
>> In ice-9/boot-9.scm:
>> 2790: 7 [b #<autoload (ice-9 popen) 21a86c0> open-input-pipe #f]
>> 2579: 6 [#<procedure 1d76530 at ice-9/boot-9.scm:2567:4 (name #:optional autoload version #:key ensure)> # ...]
>> 2850: 5 [try-module-autoload (ice-9 popen) #f]
>> 2191: 4 [save-module-excursion #<procedure 2205d20 at ice-9/boot-9.scm:2851:17 ()>]
>> 2870: 3 [#<procedure 2205d20 at ice-9/boot-9.scm:2851:17 ()>]
>> In unknown file:
>>     ?: 2 [primitive-load-path "ice-9\\popen" ...]
>>     ?: 1 [load-extension "libguile-2.0" "scm_init_popen"]
>> In ice-9/boot-9.scm:
>>   106: 0 [#<procedure 1f55340 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
>>
>> ice-9/boot-9.scm:106:20: In procedure #<procedure 1f55340 at ice-9/boot-9.scm:97:6 (thrown-k . args)>:
>> ice-9/boot-9.scm:106:20: In procedure dynamic-link: file: "libguile-2.0", message: "The specified module could not be found."
>> make[3]: *** [scripts/autofrisk.go] Error 1
> I believe I have fixed this one (and the scan-api one).  You will see a
> warning when building these two files but that is all.  I think at this
> point the build should complete.
>
> New tarball:
>
>    http://wingolog.org/priv/guile-2.0.7.194-dfd1d.tar.gz
>
> This has been a very long bug report, but productive.  Thank you for
> following through with these tests, and for checking the above tarball.
>
> The next step, after moving on to actually build your application ;), is
> to get the test suite working.  I suspect you will run into some issues.
> Will you please run a make check -k, and send the resulting log (if it
> has errors) to [email-masked]?  Thanks :-) Please include
> check-guile.log as well.
>
> I'll close this report, in optimistic hope that these fixes do indeed
> allow the build to complete.  Let me know how it goes, and happy hacking!
>
> (Actually while I'm at it: would you also mail the complete set of
> patches that you locally apply to your copy?  They'll be helpful in
> future reports.  Thanks!)
>
> Andy